## Configurations

- [Neovim Nightly](https://github.com/neovim/neovim)
- [Wezterm](https://github.com/wez/wezterm)
- [Fish Shell](https://github.com/fish-shell/fish-shell)
- And more

## Fonts

You will have to install the fonts I use in these dotfiles separately

- [ttf-jetbrains-mono-nerd](https://github.com/ryanoasis/nerd-fonts)

## Nice programs to have

- [ripgrep](https://github.com/BurntSushi/ripgrep) (used by nvim)
- [fd](https://github.com/sharkdp/fd) (used by nvim)
- [exa](https://github.com/ogham/exa) (ls replacement used by fish)

## Usage

- Clone the repository (e.g into `~/.dotfiles`)

```
git clone https://git.papadakis.xyz/dotfiles/ ~/.dotfiles
cd ~/.dotfiles
```

- For automated dotfile linking use [just](https://github.com/casey/just)

```
just add fish
just add nvim
just add wezterm
```

- Or, manually link the directory you need

```
ln -s ~/.dotfiles/fish/dot-config/fish ~/.config/fish
ln -s ~/.dotfiles/nvim/dot-config/nvim ~/.config/nvim
ln -s ~/.dotfiles/wezterm/dot-config/wezterm ~/.config/wezterm
```
